<html>
<head>
<title>OGRE: Ogre::EdgeListBuilder::CommonVertex Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeListBuilder.html">EdgeListBuilder</a>::<a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html">CommonVertex</a></div>
<h1>Ogre::EdgeListBuilder::CommonVertex Struct Reference</h1><!-- doxytag: class="Ogre::EdgeListBuilder::CommonVertex" -->A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1EdgeListBuilder_1_1CommonVertex-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#816fab86b7dcaf951ca4a0cb1bd14e48">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#69ece006961f4ef9915a62f195fe69e1">index</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#24eae6be08e186e0a89295375b168473">vertexSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#05a377b1ca06547527392c89ac58972c">indexSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#69ecec711878bc47d7d7d7618e379dc8">originalIndex</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated. 
<p>
In order to properly evaluate the surface properties, a single common vertex is used for these duplicates, and the faces hold the detail of the duplicated vertices. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00197">197</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="816fab86b7dcaf951ca4a0cb1bd14e48"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::position" ref="816fab86b7dcaf951ca4a0cb1bd14e48" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#816fab86b7dcaf951ca4a0cb1bd14e48">Ogre::EdgeListBuilder::CommonVertex::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00198">198</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="69ece006961f4ef9915a62f195fe69e1"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::index" ref="69ece006961f4ef9915a62f195fe69e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#69ece006961f4ef9915a62f195fe69e1">Ogre::EdgeListBuilder::CommonVertex::index</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00199">199</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="24eae6be08e186e0a89295375b168473"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::vertexSet" ref="24eae6be08e186e0a89295375b168473" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#24eae6be08e186e0a89295375b168473">Ogre::EdgeListBuilder::CommonVertex::vertexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00200">200</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="05a377b1ca06547527392c89ac58972c"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::indexSet" ref="05a377b1ca06547527392c89ac58972c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#05a377b1ca06547527392c89ac58972c">Ogre::EdgeListBuilder::CommonVertex::indexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00201">201</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="69ecec711878bc47d7d7d7618e379dc8"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::originalIndex" ref="69ecec711878bc47d7d7d7618e379dc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#69ecec711878bc47d7d7d7618e379dc8">Ogre::EdgeListBuilder::CommonVertex::originalIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00202">202</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
